/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec;

import org.etsi.ttcn.tci.Type;

public interface ITERequired {

    public Type getTypeForName(String typeName);
    public Type getInteger();
    public Type getFloat();
    public Type getBoolean();
    public Type getCharstring();
    public Type getUniversalCharstring();
    public Type getHexstring();
    public Type getBitstring();
    public Type getOctetstring();
    public Type getVerdict();
    public void tciErrorReq(String message);
}
